package com.seamew.lottery.domain.activity.model.res;

import com.seamew.lottery.common.Result;

/**
 * @Author: seamew
 * @Title: StockResult
 * @CreateTime: 2023年03月03日 10:03:00
 * @Description: 库存处理结果
 * @Version: 1.0
 */
public class ActivityStockResult extends Result {
    /**
     * 库存 Key
     */
    private String stockKey;
    /**
     * activity 库存剩余
     */
    private Integer stockSurplusCount;

    public ActivityStockResult(String code, String info) {
        super(code, info);
    }

    public ActivityStockResult(String code, String info, String stockKey, Integer stockSurplusCount) {
        super(code, info);
        this.stockKey = stockKey;
        this.stockSurplusCount = stockSurplusCount;
    }

    public String getStockKey() {
        return stockKey;
    }

    public void setStockKey(String stockKey) {
        this.stockKey = stockKey;
    }

    public Integer getStockSurplusCount() {
        return stockSurplusCount;
    }

    public void setStockSurplusCount(Integer stockSurplusCount) {
        this.stockSurplusCount = stockSurplusCount;
    }
}
